Subject: Question on PRI codding

From: "Jerry :-\)" <[email-masked]>
Date: Mon, 8 Mar 2004 10:00:45 -0800 (PST)

Hello,

I would like to clarify the encapsulation of an PRI
into PRID and EDP objects. For example, I have a PRC
as follows:

myExampleEntry OBJECT-TYPE
  SYNTAX MyExampleEntry
....
::= {1.3.6.1.2.3.4}

MyExampleEntry ::= SEQUENCE {
    myExamplePrid         InstanceId,
    myExampleParam1       Unsigned32,
    myExampleParam2       Prid
}

and I have an PRI of this PRC as follows:

{   myExamplePrid         1,
    myExampleParam1       5,
    myExampleParam2       1.3.6.1.2.3.2.1
}

Then, this PRI can be codded into an PRID and EDP
objects defined in COPS-PR as follows:

- PRID object data (contains the ODI of the PRC
followed by the Instance ID):
OID    : 06
length : 07
PRID   : 2B 06 01 02 03 04 01
- EDP obejct data (does not include the first
attribute which is myExamplePrid):
Unsigned32 : 42
length    : 01
value     : 05
OID       : 06
length    : 07
PRID      : 2B 06 01 02 03 02 01

Please tell me if this codding is correct. Otherwise,
how to convey an PRI information using PRID and EDP
objects.

Thank you. 

__________________________________
Do you Yahoo!?
Yahoo! Search - Find what you’re looking for faster
http://search.yahoo.com

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 16 Mar 2004 22:43:12 +0100

> myExampleEntry OBJECT-TYPE

The above seems correct... at least as far as you only talk
about the PRID... you need the Length, S-num and S-type as
well as padding to make it 32bit boundary.
Look at sect 4 and 4.1 of RFC3084. I think the complete PRID
object would be encoded as:

  00 0d
  01
  01
  06 07 2B 06 01 02 03 04 01
  00 00 00

> how to convey an PRI information using PRID and EDP
Again, this needs to be prefixed with the Length, S-num and S-type
as per section 4.3 of RFC3084. This is already 32-bit alligned, so
no padding needed. SO the resulting EPD encoding I thik would be:

  00 10
  03
  01
  42 01 05
  06 07 2B 06 01 02 03 02 01

Hope this helps.

Pls do realize that I am not a real COPS-PR expert.

Bert
> Yahoo! Search - Find what you're looking for faster
> http://search.yahoo.com
>